XML System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

A given set of XML data is modeled as a tree of nodes. This enumeration specifies the different node types.

Specifies the type of node.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType Attribute

  An Attribute node can have the following child node types: Text and EntityReference. The Attribute node does not appear as the child node of any other node type. It is not considered a child node of an Element.

  An attribute (for example, id='123' ).

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType CDATA

  CDATA sections are used to escape blocks of text that would otherwise be recognized as markup. A CDATA node cannot have any child nodes. It can appear as the child of the DocumentFragment, EntityReference, and Element nodes.

  A CDATA section (for example, <![CDATA[my escaped text]]> ).

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType Comment

  A Comment node cannot have any child nodes. It can appear as the child of the Document, DocumentFragment, Element, and EntityReference nodes.

  A comment (for example, <!-- my comment --> ).

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType Document

  A Document node can have the following child node types: XmlDeclaration, Element (maximum of one), ProcessingInstruction, Comment, and DocumentType. It cannot appear as the child of any node types.

  A document object that, as the root of the document tree, provides access to the entire XML document.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType DocumentFragment

  The DocumentFragment node associates a node or subtree with a document without actually being contained within the document. A DocumentFragment node can have the following child node types: Element, ProcessingInstruction, Comment, Text, CDATA, and EntityReference. It cannot appear as the child of any node types.

  A document fragment.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType DocumentType

  A DocumentType node can have the following child node types: Notation and Entity. It can appear as the child of the Document node.

  The document type declaration, indicated by the following tag (for example, <!DOCTYPE...> ).

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType Element

  An Element node can have the following child node types: Element, Text, Comment, ProcessingInstruction, CDATA, and EntityReference. It can be the child of the Document, DocumentFragment, EntityReference, and Element nodes.

  An element (for example, <item> ).

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType EndElement

  EndElement nodes are returned when gets to the end of an element.

  An end element tag (for example, </item> ).

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType EndEntity To be added.

  Returned when XmlReader gets to the end of the entity replacement as a result of a call to .

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType Entity

  An Entity node can have child nodes that represent the expanded entity (for example, Text and EntityReference nodes). It can appear as the child of the DocumentType node.

  An entity declaration (for example, <!ENTITY...> ).

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType EntityReference

  An EntityReference node can have the following child node types: Element, ProcessingInstruction, Comment, Text, CDATA, and EntityReference. It can appear as the child of the Attribute, DocumentFragment, Element, and EntityReference nodes.

  A reference to an entity (for example, &num; ).

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType None To be added.

  This is returned by the if a Read method has not been called.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType Notation

  A Notation node cannot have any child nodes. It can appear as the child of the DocumentType node.

  A notation in the document type declaration (for example, <!NOTATION...> ).

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType ProcessingInstruction

  A ProcessingInstruction node cannot have any child nodes. It can appear as the child of the Document, DocumentFragment, Element, and EntityReference nodes.

  A processing instruction (for example, <?pi test?> ).

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType SignificantWhitespace To be added.

  White space between markup in a mixed content model or white space within the xml:space="preserve" scope.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType Text

  A Text node cannot have any child nodes. It can appear as the child node of the Attribute, DocumentFragment, Element, and EntityReference nodes.

  The text content of a node.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType Whitespace To be added.

  White space between markup.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType XmlDeclaration

  The XmlDeclaration node must be the first node in the document. It cannot have children. It is a child of the Document node. It can have attributes that provide version and encoding information.

  The XML declaration (for example, <?xml version='1.0'?> ).

  0
0